use crate::app::App;
use crate::theme::onedark::ONE_DARK;

pub mod tabs;

impl<'a> eframe::App for App<'a> {
    fn update(&mut self, ctx: &egui::Context, _frame: &mut eframe::Frame) {
        let background_frame = egui::Frame::default().fill(ONE_DARK.bg);

        egui::CentralPanel::default()
            .frame(background_frame)
            .show(ctx, |ui| {
                ui.heading(self.name);

                egui::TopBottomPanel::top("wrap_app_top_bar").show(ctx, |ui| {
                    ui.horizontal_wrapped(|ui| {
                        ui.visuals_mut().button_frame = false;

                        // Insert Tabs
                        ui.selectable_label(false, format!("{:#?}", tabs::CURRENT_TAB))
                    });
                });
            });
    }
}
