#![cfg_attr(not(debug_assertions), windows_subsystem = "windows")] // hide console window on Windows in release
mod app;
mod theme;
use app::App;
use egui::ViewportBuilder;

fn main() -> Result<(), eframe::Error> {
    // Log to stdout (if you run with `RUST_LOG=debug`).
    tracing_subscriber::fmt::init();

    // Setup the options for the default window
    let options = eframe::NativeOptions {
        viewport: ViewportBuilder::default().with_inner_size(egui::vec2(300.0, 200.0)),
        ..Default::default()
    };

    //Start rendering and run the application
    eframe::run_native(
        "AvBag",
        options,
        Box::new(|_cc| Ok(Box::new(App::default()))),
    )
}
